Name:          taskjuggler
Version:       2.4.3
Release:       alt0.M50P.1
Summary:       Project management tool

Group:         Office
License:       GPLv2
URL:           http://www.taskjuggler.org
Source0:       http://www.taskjuggler.org/download/%{name}-%{version}.tar.bz2
Source1:       %{name}.xml

BuildRequires(pre): rpm-macros-kde-common-devel
BuildRequires: gcc-c++
BuildRequires: kdepim-devel libqt3-devel libjpeg-devel
Buildrequires: xmlto libical-devel

%description
TaskJuggler is a modern and powerful project management tool. Its new approach
to project planning and tracking is far superior to the commonly used Gantt
chart editing tools. It has already been successfully used in many projects
and scales easily to projects with hundreds of resources and thousands of
tasks. It covers the complete spectrum of project management tasks from the
first idea to the completion of the project. It assists you during project
scoping, resource assignment, cost and revenue planning, and risk and
communication management.

%prep
%setup -q
#/foo/bar timezone is completely valid and interpreted as UTC,skipping test
rm -f TestSuite/Syntax/Errors/Timezone.tjp


%build
%add_optflags -I%_includedir/tqtinterface
%configure --with-kde-support=yes --libdir=%_Klibdir
%make_build

#generate manpages with xmlto
xmlto man --skip-validation man/en/taskjuggler.xml
xmlto man --skip-validation man/en/TaskJugglerUI.xml


%install
%makeinstall_std

mkdir -p %buildroot%_mandir/man1
cp -p *.1 %buildroot%_mandir/man1
rm %buildroot%_Klibdir/libtaskjuggler.{la,so}

# install mime type definition
install %SOURCE1 -Dpm 644 %buildroot%_datadir/mime/%name.xml

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README TODO
%_datadir/doc/HTML/en/%name/
%_datadir/doc/packages/%name/
%_bindir/TaskJugglerUI
%_bindir/taskjuggler
%_Klibdir/libtaskjuggler.*
%_Kmenudir/*.desktop
%_Kapps/katepart/syntax/%name.xml
%_Kapps/%name/
%_datadir/config/taskjugglerrc
%_Kmimelnk/application/*.desktop
%_datadir/mime/%name.xml
%_datadir/icons/hicolor/*/apps/%name.png
%_datadir/icons/crystalsvg/*/mimetypes/*.png
%_mandir/man1/*

%changelog
* Mon Mar 14 2011 Andrey Cherepanov <cas@altlinux.org> 2.4.3-alt0.M50P.1
- Backport to p5 branch

* Sat Mar 05 2011 Andrey Cherepanov <cas@altlinux.org> 2.4.3-alt1
- Return to Sisyphus

